Bug 1309872 - Use XDG_RUNTIME_DIR
Use XDG_RUNTIME_DIR
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xpra (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathan Underwood
Fedora Extras Quality Assurance
:
Depends On: 1317304
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 15:58 EST by Dennis Schridde
Modified: 2017-01-02 20:21 EST (History)
2 users (show)

See Also:
Fixed In Version: xpra-1.0-2.fc25 xpra-1.0-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-02 14:50:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Schridde 2016-02-18 15:58:08 EST
Description of problem:
Fedora currently patches [^1] several of xpra's paths to point to /var/run/user/$UID/xpra. This is inconvenient, because that directory might not exist (e.g. in a minimal container, where xpra is not started from a shell) or the user might have different preferences. XDG_RUNTIME_DIR exists [^2], on my system points to that exact directory (but is configurable) and seems to exactly match this use-case:
```
$XDG_RUNTIME_DIR defines the base directory relative to which user-specific non-essential runtime files and other file objects (such as sockets, named pipes, ...) should be stored. The directory MUST be owned by the user, and he MUST be the only one having read and write access to it. Its Unix access mode MUST be 0700.
```

I suggest to replace the string "/var/run/user/$UID" with "$XDG_RUNTIME_DIR" to allow the user more control over these paths.

[^1]: https://pkgs.fedoraproject.org/cgit/rpms/xpra.git/tree/xpra-0.16.0-move-to-var-run.patch
[^2]: https://specifications.freedesktop.org/basedir-spec/basedir-spec-latest.html

Version-Release number of selected component (if applicable):
0.16.1-2.fc24
Comment 1 Dennis Schridde 2016-02-18 15:59:41 EST
See-Also: http://xpra.org/trac/ticket/1129 (upstream bug)
Comment 2 Jonathan Underwood 2016-02-19 04:10:09 EST
OK, it seems this needs some thinking and discussion - for now on the upstream ticket. When we converge to the right solution, I'll update the Fedora package accordingly.
Comment 3 Jonathan Underwood 2016-02-19 05:08:03 EST
OK, have just pushed a build (0.16.2-2) which should use XDG_RUNTIME_DIR for sockets and logs. This also reverts the change to the run script location - we're back to sticking it under ~/.xpra for now, so as not to break other clients (see upstream ticket).

http://koji.fedoraproject.org/koji/taskinfo?taskID=13046673
Comment 4 Fedora Update System 2016-02-19 08:43:34 EST
xpra-0.16.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-241d30d0c5
Comment 5 Jonathan Underwood 2016-02-19 09:11:48 EST
Oh dear, 0.16.2-2 is horribly broken.
Comment 6 Jonathan Underwood 2016-02-19 09:30:56 EST
Pushed a build dropping patch to use XDG_RUNTIME_DIR for now, until I have time to work on this, so at least we have a working xpra in rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=13048811
Comment 7 Jonathan Underwood 2016-02-19 09:55:44 EST
And now a package that actually has the icon files in the right place:

http://koji.fedoraproject.org/koji/taskinfo?taskID=13049047
Comment 8 Jan Kurik 2016-02-24 10:26:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 9 Jonathan Underwood 2016-03-24 13:43:53 EDT
One blocker for this is that using su -l to change to a different user doesn't create or set XDG_RUNTIME_DIR, and that's a common use case (i.e. switching to a different user to start an xpra server).
Comment 10 Fedora Update System 2016-12-10 09:43:45 EST
xpra-1.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-186fb568a7
Comment 11 Fedora Update System 2016-12-10 09:44:00 EST
xpra-1.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a06f2e6e03
Comment 12 Fedora Update System 2016-12-10 22:30:03 EST
xpra-1.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-186fb568a7
Comment 13 Fedora Update System 2016-12-10 22:58:31 EST
xpra-1.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a06f2e6e03
Comment 14 Fedora Update System 2017-01-02 14:50:04 EST
xpra-1.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2017-01-02 20:21:06 EST
xpra-1.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.